From: Johnny Richard <johnny@johnnyrichard.com>
To: ~johnnyrichard/olang-devel@lists.sr.ht
Cc: Johnny Richard <johnny@johnnyrichard.com>
Subject: [PATCH olang v1] build: turn make build output less noisy
Date: Fri, 11 Oct 2024 06:02:45 +0200 [thread overview]
Message-ID: <20241011040246.147490-1-johnny@johnnyrichard.com> (raw)
Signed-off-by: Johnny Richard <johnny@johnnyrichard.com>
---
Makefile | 16 +++++++++-------
tests/unit/Makefile | 6 ++++--
2 files changed, 13 insertions(+), 9 deletions(-)
diff --git a/Makefile b/Makefile
index 3a799ae..58526ac 100644
--- a/Makefile
+++ b/Makefile
@@ -74,20 +74,21 @@ olang.info: docs/info/*.texi
$(MAKEINFO) docs/info/olang.texi
$(TARGET): $(BUILDDIR) $(OBJS)
- $(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @$(CC) $(CFLAGS) $(OBJS) -o $(TARGET)
+ @printf 'CCLD\t%s\n' '$@'
$(BUILDDIR):
@mkdir -p $@
.PHONY: format
format: $(SRCS) $(HEADERS)
- clang-format --dry-run --Werror $?
- $(MAKE) -C tests/unit/ format
+ @clang-format --dry-run --Werror $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format
.PHONY: format-fix
format-fix: $(SRCS) $(HEADERS)
- clang-format -i $?
- $(MAKE) -C tests/unit/ format-fix
+ @clang-format -i $?
+ @$(MAKE) --no-print-directory -C tests/unit/ format-fix
.PHONY: check-olc
check-olc: $(TARGET)
@@ -100,7 +101,7 @@ check-unit: $(TARGET)
.PHONY: clean
clean:
@rm -f olang.info
- $(MAKE) -C tests/unit/ clean
+ @$(MAKE) --no-print-directory -C tests/unit/ clean
@rm -rf build/ $(TARGET)
.PHONY: check
@@ -115,4 +116,5 @@ docs-dist:
$(MAKE) -C docs dist
$(BUILDDIR)/%.o: $(SRCDIR)/%.c
- $(CC) $(CFLAGS) -c $< -o $@
+ @$(CC) $(CFLAGS) -c $< -o $@
+ @printf 'CC\t%s\n' '$@'
diff --git a/tests/unit/Makefile b/tests/unit/Makefile
index 686938f..0a5c5aa 100644
--- a/tests/unit/Makefile
+++ b/tests/unit/Makefile
@@ -11,6 +11,7 @@ all: $(RUN_TESTS)
%.bin: %.c $(MUNIT)
@$(CC) $(CFLAGS) $(MUNIT) $(DEP_OBJS) $< -o $@
+ @printf 'CCLD\t%s\n' '$@'
%.run: %.bin
@./$<
@@ -20,10 +21,11 @@ clean:
@$(RM) -rfv lib
format: $(SRCS)
- clang-format --dry-run --Werror $?
+ @clang-format --dry-run --Werror $?
format-fix: $(SRCS)
- clang-format -i $?
+ @clang-format -i $?
$(MUNIT):
@$(CC) -c $(MUNIT_SRC) $(CFLAGS) -o $(MUNIT)
+ @printf 'CCLD\t%s\n' '$@'
base-commit: 6b93fd0059d5d5e9923cad79ad2f0f2938f793ed
--
2.46.0
next reply other threads:[~2024-10-11 2:03 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-11 4:02 Johnny Richard [this message]
2024-10-11 2:03 ` [olang/patches/.build.yml] build success builds.sr.ht
2024-10-11 4:02 [PATCH olang v1] build: turn make build output less noisy Johnny Richard
2024-10-11 2:08 ` Carlos Maniero
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20241011040246.147490-1-johnny@johnnyrichard.com \
--to=johnny@johnnyrichard.com \
--cc=~johnnyrichard/olang-devel@lists.sr.ht \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://git.johnnyrichard.com/olang.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox